Log in with email and password
POST
/auth/v1/loginAuthenticates a user by email and password and issues access and refresh tokens.
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.registerOrLoginBody",
"$ref-value": {
"properties": {
"email": {
"type": "string"
},
"password": {
"minLength": 8,
"type": "string"
}
},
"required": [
"email",
"password"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.LoginResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"email": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"session_id": {
"type": "string"
},
"status": {
"description": "\"ok\" | \"otp_required\" | \"email_not_verified\"",
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/login" \
-H "Content-Type: application/json" \
-d '{
"email": "string",
"password": "stringst"
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.LoginResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"email": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"session_id": {
"type": "string"
},
"status": {
"description": "\"ok\" | \"otp_required\" | \"email_not_verified\"",
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}